KDE & Plasma users

2975 readers
1 users here now

KDE is an international technology team creating user-friendly free and open source software for desktop and portable computing. KDE's software runs on GNU/Linux, BSD and other operating systems, including Windows.

founded 5 years ago
MODERATORS
1
 
 

I looked at KWin::Window on the Kwin scripting API page but didn’t find any ways to make a given window become maximized.

2
 
 

I did some looking and there doesn't seem to be one, unless you know of any. Ideally I want a modal file manager like Yazi: it's keys are highly inspired by vim with H J K L navigation (H & L for traversing directories), a visual mode for selecting files, and lots of commands and customization. The one thing its missing is a grid view to preview image files. None of the orthodox file manager seem to have one, including Krusader which I just looked at. I'd love to finally stop using the mouse for file management and could go with either a TUI or GUI manager.

3
7
submitted 1 week ago* (last edited 5 days ago) by [email protected] to c/[email protected]
 
 

Edit: I edited the script to take a screenshot asynchronously, get the region with slurp, and use magickto crop it. I also multiply the values from slurp 2x to account for the 200% display scaling I have.

  #!/bin/bash 

	die(){
    notify-send "$1"
    exit 1
  }
  cleanup(){
    [[ -n $1 ]] && rm -r "$1"
  }
  SCR_IMG=$(mktemp -d) || die "failed to take screenshot"
  trap "cleanup '$SCR_IMG'" EXIT

	spectacle -nbo "$SCR_IMG/scr.tiff" &
	region=($(slurp -b "#00000000" -c "#80808080" -w 2 -f "%w %h %x %y"))
	for i in "${!region[@]}" 
	do
		region[i]=$(expr ${region[i]} "*" "2")
	done
	magick "$SCR_IMG/scr.tiff" -crop "${region[0]}x${region[1]}+${region[2]}+${region[3]}" "$SCR_IMG/scr.tiff" 

	tesseract "$SCR_IMG/scr.tiff" "$SCR_IMG/scr" &> /dev/null || die "failed to extract text"
  wl-copy < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
  notify-send "Text extracted from image" "$(head -c 100 "$SCR_IMG/scr.txt")" || die "failed to send notification"
  exit

I'm using this script from HN* to select regions on the screen and copy their text, I took out the line with mogrify. It uses spectacle but it takes a moment before opening the UI, is it possible and would it be faster if Spectacle stayed open in the background? The slurp CLI starts instantly for me for selecting regions, I looked for command line screenshot tools to maybe use with it or has its own region support but didn't find any. Neither maim scrot and grim don't work on Plasma Wayland. I installed the ksnip flatpak but the option for rectangular regions doesn't show for me.

* The script:

  #!/bin/bash 
  # Dependencies: tesseract-ocr imagemagick 
  # on gnome: gnome-screenshot 
  # on kde: spectacle
  # on x11: xsel
  # on wayland: wl-clipboard

  die(){
    notify-send "$1"
    exit 1
  }
  cleanup(){
    [[ -n $1 ]] && rm -r "$1"
  }

  SCR_IMG=$(mktemp -d) || die "failed to take screenshot"

  # shellcheck disable=SC2064
  trap "cleanup '$SCR_IMG'" EXIT

  #notify-send "Select the area of the text" 
  if  which "spectacle" &> /dev/null
  then
    spectacle -n -b -r -o "$SCR_IMG/scr.png" || die "failed to take screenshot"
  else
    gnome-screenshot -a -f "$SCR_IMG/scr.png" || die "failed to take screenshot"
  fi

  # increase image quality with option -q from default 75 to 100
  mogrify -modulate 100,0 -resize 400% "$SCR_IMG/scr.png"  || die "failed to convert image"
  #should increase detection rate

  tesseract "$SCR_IMG/scr.png" "$SCR_IMG/scr" &> /dev/null || die "failed to extract text"
  if [ "$XDG_SESSION_TYPE" == "wayland" ]
  then 
    wl-copy < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
  else
    # xsel -b -i  < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
    xclip -selection clipboard -i < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"  
  fi
  # Notify the user what was copied but truncate the text to 100 characters
  notify-send "Text extracted from image" "$(head -c 100 "$SCR_IMG/scr.txt")" || die "failed to send notification"
  exit  #!/bin/bash 
  # Dependencies: tesseract-ocr imagemagick 
  # on gnome: gnome-screenshot 
  # on kde: spectacle
  # on x11: xsel
  # on wayland: wl-clipboard

  die(){
    notify-send "$1"
    exit 1
  }
  cleanup(){
    [[ -n $1 ]] && rm -r "$1"
  }

  SCR_IMG=$(mktemp -d) || die "failed to take screenshot"

  # shellcheck disable=SC2064
  trap "cleanup '$SCR_IMG'" EXIT

  #notify-send "Select the area of the text" 
  if  which "spectacle" &> /dev/null
  then
    spectacle -n -b -r -o "$SCR_IMG/scr.png" || die "failed to take screenshot"
  else
    gnome-screenshot -a -f "$SCR_IMG/scr.png" || die "failed to take screenshot"
  fi

  # increase image quality with option -q from default 75 to 100
  mogrify -modulate 100,0 -resize 400% "$SCR_IMG/scr.png"  || die "failed to convert image"
  #should increase detection rate

  tesseract "$SCR_IMG/scr.png" "$SCR_IMG/scr" &> /dev/null || die "failed to extract text"
  if [ "$XDG_SESSION_TYPE" == "wayland" ]
  then 
    wl-copy < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
  else
    # xsel -b -i  < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
    xclip -selection clipboard -i < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"  
  fi
  # Notify the user what was copied but truncate the text to 100 characters
  notify-send "Text extracted from image" "$(head -c 100 "$SCR_IMG/scr.txt")" || die "failed to send notification"
  exit
4
5
 
 

KDE has settings for shadows but they don't show on maximized windows (I have the maximize window gaps script installed). I'm wondering if there are any scripts that produce their own shadows.

6
 
 

Hi All, I've got a minor inconvenience problem that I'm wondering if there's a solution for out there. I have some plasma widgets that I keep on the far right edge of my screen (clock, CPU utilization, etc). I have my TV in my living room connected via a long HDMI cable that I'll use as a secondary display on occasion. When I do that, I have the scale set on the TV screen (I'm using Wayland) to 150% to make it more readable on the TV from the couch. After I'm done, I disable that secondary monitor and make my primary monitor active again, which has the scaling set back to 100%. After this scaling to 150% and back, the widgets that were on the far right of my screen are now sitting somewhat right of center but no longer on the edge of the screen (scaling to 150 moved them inwards). I'm wondering if there's a way to somehow "anchor" them so that they stay along the edge of the screen when scaling back down, so they always align with the edge? Appreciate any thoughts!

7
 
 

Edit: I got answers on the Fedora forum and used this command in my parallels VM and restarted: sudo grubby --update-kernel=ALL --args=video=Virtual-1:3456x2234@120.

I'm trying to get a custom resolution & refresh rate in KDE Wayland. I can get 120hz working on X11 by getting a modeline with cvt 4112 2572 120 and using xrandr commands, but how about Wayland? Perhaps be done with kscreen-doctor?

8
 
 

I installed this maximized window gaps Kwin script on KDE 6. It works fine but I'm wondering if there's a way to show shadows when windows are maximized.

9
 
 

TLDR: I want to be able to set specific window sizes and positions of the current window with hotkeys, as well as focus on specific apps with hotkeys.

I've made posts like this elsewhere as I've lately been really trying to figure out Linux. Anyway, right now KDE is very appealing since its very customizable and has a plugin to recreate Window 11's Mica effect.

First, I want an alternative to Rectangle Pro app on Mac, which let's you set many hotketys for changing the current window's size & position: like use up the left or right halves or thirds of the screen, or corners and taking up a quarter of the screen. You can also make custom window layouts and bind those to keys. I've been told to use a WM like Sway, but then I'd have to make my own DE from scratch.

Second, I want to focus on specifc apps with hotkeys. For instance, I'd want to press CTRL Shift Z to switch specifically to Zen Browser or open it if it isn't opened, and CTRL Shift O to open or switch to Obsidian. I only found two solutions for Linux (wmctrl and wlrctl), and none for KDE.

10
 
 
11
 
 

Hey all I'm a little confused by something. I can't seem to quick search things in Dolphin, for instance if I try and look up a folder it says "no items matching the search" even though it will show up when looking for it on the command line and if I just manually search it myself. Does anyone know a fix for this?

12
 
 

Hey guys, just installed Fedora KDE.I found the icon theme inconsistency in both Librewolf version 135.0-1 and Lutris version 0.5.18.

My system information -

  • Operating System: Fedora Linux 41
  • KDE Plasma Version: 6.3.0
  • KDE Frameworks Version: 6.10.0
  • Qt Version: 6.8.2
  • Kernel Version: 6.12.11-200.fc41.x86_64 (64-bit)
13
 
 

cross-posted from: https://lemmy.ml/post/25887269

Almost after a year since the first release in the sixth generation of the popular Linux and UNIX desktop environment, KDE community announces the release of the latest version of KDE Plasma 6.3. In this major release the System Settings’ Drawing Tablet page has been overhauled and split into multiple tabs to improve how things are organized, and new configuration options have been added to each section. KWin window manager makes a stronger effort to snap things to the screen’s pixel grid, greatly reducing blurriness and visual gaps everywhere and producing sharper and crisper images. In the color department, screen colors are more accurate when using the Night Light feature both with and without ICC profiles, and KWin offers the option to choose screen color accuracy. Hardware and system monitoring and information tools have also received new features and performance optimizations. KRunner (the built-in search tool that also does conversions, calculations, definitions, graph plotting, and much more) now let you jump between categories using keyboard shortcuts. A security enhancement landing in Discover software management/app store application highlights sandboxed apps whose permissions will change after being updated. If you’re a fan of the forecasts provided by Deutcher Wetterdienst, you’re in luck: Plasma 6.3’s weather widget allows using this source for weather data. You can now configure its built-in touchpad to switch off automatically, so it doesn’t interfere with your typing. When you drag a file out of a window that’s partially below other windows, it no longer jumps to the top, potentially obscuring what you wanted to drag it into. Plasma panels can now be cloned You can also use scripting to change your panels’ opacity levels and what screen they appear on. And there’s much more. To see the full list of changes, check out the complete changelog for KDE Plasma 6.3.

14
 
 

Hello KDE Community,

lately I got back to the world of Q's and K's :-)

Still remember the old days (1998) when we were updating from CVS daily, I was writing a CD Cover Printer (Kover) back then...

After I found the lyrics some weeks ago, I got the idea to try my luck on suno.com with this. You know, most of the time the result on suno, especially the vocals, is quite bad, but in this case (1 out of 50 songs) I liked it a lot.

On another note, I've started investigating "Workflow Prediction" in KRunner, or call it "Next Action Suggestion". There's a preliminary NotebookLM podcast on my YouTube channel: https://youtube.com/@deniskropp (recent video).

Contact me: [email protected]

Greetings, friends

15
7
submitted 3 months ago* (last edited 3 months ago) by [email protected] to c/[email protected]
 
 

(Solved) by going to a one display only setup, needed the 2nd monitor for other things.

What causes spurious random lines between rows of characters in Konsole or other terminal emulators? The lines go away if one simply moves the window, but as soon as one begins sending characters to the tty they randomly come back 2-5 lines on the screen in random locations. Debian 12, 2 screens, One at 100%, the other at 75% (I think - I don’t seem to be able to open display settings right now)

16
 
 

Join the End of Year documentation porting sprint effort and lets move from Doxygen to QDoc!

Very soon™ we will be providing Python and Rust bindings for the KDE Frameworks and we would like to welcome these communities with a brand new and crisp documentation.

Come and hang out every day in the Matrix room and help us resolve the 58 still open tasks. See you there!

17
 
 

cross-posted from: https://lemmy.ml/post/23578467

This week's headliner change is something that I think will make a lot of people happy: better fractional scaling! Vlad and Xaver have been hard at work to snap everything to the screen's pixel grid, with the effect that using a fractional scale factor now results in a lot less blurriness as well as no more gaps between windows and their shadows. You'll see it in the screenshot below (which was taken at 175% scale) but the effects are subtly better everywhere. Really great stuff! And lots more too, of course.

18
 
 

Seriously...shout-out to Krystian Zajdel. I was literally blown away when I rebooted my computer and saw that it had become the login splash screen. I immediately had to make it my main wallpaper too.

Most beautiful default wallpaper I've seen in a while.

19
 
 

cross-posted from: https://lemmy.ml/post/22807404

This week we of course continued the customary bug-fixing, but got some nice new features and UI improvements too!

Let me also remind folks about KDE's end-of-year fundraiser. We're 84% of the way to our goal, and it would be amazing to get all the way to 100% before December! Then we can focus on those stretch goals from December to January.

Anyway, enough of the sales pitch, back to the free stuff!

And isn't that amazing? Let's zoom out a bit here and remind ourselves just how incredible it is that this software is made available for free, with no contract or license agreement, to everyone. To you, to your school, to community organizations, businesses, governments, even our direct competitors to study and examine (which goes both ways, and helped me fix a bug in GTK this week; read on for details). It's kind of wild, if you think about it. But, here we are, and we want to keep on being a light in a tech world that sometimes seems to be darkening. Help us keep that light glowing!

20
 
 

cross-posted from: https://lemmy.ml/post/22351022

Welcome to a new issue of "This Week in KDE Apps"! Every week we cover as much as possible of what's happening in the world of KDE apps.

This week, we released KDE Gear 24.08.3 and we are preparing the 24.12.0 release with the beta planned next week. The final release will happen on December 12th, but, meanwhile, and as part of the 2024 end-of-year fundraiser, you can "Adopt an App" in a symbolic effort to support your favorite KDE app.

21
 
 

One of the quickest ways to determine whether particular application runs using Xwayland is to resize one of its windows and see how it behaves, for example

While it can be handy for the debugging purposes, overall, it makes the KDE Plasma Wayland session look less polished. So, one of the goals for 6.3 was to fix this visual glitch.

This article will provide some background behind what caused the glitch and how we addressed it.

22
 
 

cross-posted from: https://lemmy.kde.social/post/2184126

cross-posted from: https://floss.social/users/akademy/statuses/113344786509327188

Do you want to host Akademy 2025? Help organize an unforgettable event with the KDE Community and plan #Akademy2025!

Gather your team of Free Software enthusiasts and make it happen. Learn more at https://akademy.kde.org/news/2024-10/_akademy-2025-call-for-hosts/

@[email protected]

23
 
 

This is a relatively new issue, although I don't recall any recent updates that would have caused it.

When I plug in a USB stick or other device, the disk and device manager pops up twice; one is the normal one away from the edge of the screen, it goes away after about five seconds (like it should)

The second, behind it, is tucked up right against the edge of the screen and does not go away until I trigger and then minimize my application launcher.

Any ideas? I'm running Wayland because of the Maalit keyboard. Haven't tried to see if it duplicates it with X11.

24
 
 

I have 20'000 mostly mp4 or webm files
I used a naming scheme that has the last two digits signifying different criteria about the video
example joe 24070, joe 24050, joe 24051
joe 24051 is a revised edit of joe 24050
The first in the series of joe is joe 100, joe 110, joe 140

As an example I would like to sort all files ending in 50, 51, 52, 53, 54, 55, 56, 57, 58, 59
I can't specify a set number of characters as it changes as more content is added to the end of the series Kfind will do a dandy job of searching folders & subfolders, how would I set the search criteria?
Is there some other GUI tool?

25
 
 

cross-posted from: https://aussie.zone/post/13138420

Hi, i have been using KDE (now on KDE Neon)for a while as my daily driver and have been wanting to improve the email/calendar situation.

I have seen Merkuro releases and announcements, but no instructions on how to install it!

Please help - how do i use Merkuro!?!? is there a flatpak or repo somewhere.

TIA

view more: next ›